%define anolis_release 2

# Enable tests by default.
%bcond_without tests

%global upstream_name redis

Name:           python-%{upstream_name}
Version:        4.5.1
Release:        %{anolis_release}%{?dist}
Summary:        Python interface to the Redis key-value store
License:        MIT
URL:            https://github.com/redis/redis-py
Source0:        https://github.com/redis/redis-py/archive/v%{version}/redis-py-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  redis
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description\
This is a Python interface to the Redis key-value store.

%description %_description

%package -n     python3-%{upstream_name}
Summary:        Python 3 interface to the Redis key-value store
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
This is a Python 3 interface to the Redis key-value store.

%prep
%setup -qn redis-py-%{version}

# This test passes locally but fails in koji...
rm tests/test_commands.py*

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{upstream_name}

%if %{with tests}
%check
redis-server --enable-debug-command yes &
%pytest -m 'not onlycluster and not redismod and not ssl'
kill %1
%endif

%files -n python3-%{upstream_name} -f %{pyproject_files}

%changelog
* Tue Mar 26 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.5.1-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 4.5.1-1
- Import package for anolis 23
